Demo

討論

保持飢餓,保持愚笨 (Stay hungry, stay foolish)。 史蒂夫·賈伯斯

公告

本網站已取消討論區的討論方式,如果您有問題請至LINE群行動條碼圖片網址,或Facebook社團

1.7.0不能直接更新到2.5.x

  • 羽城君拉
  • 羽城君拉 的個人頭像 Topic Author
  • Offline
  • 管理員
  • 管理員
More
2012-03-06 06:44 #21700 來自 羽城君拉
羽城君拉 created the topic: 1.7.0不能直接更新到2.5.x
這是針對「1.7.0」(1.7.1似乎也會),進行一鍵更新主程式或套件時,發生的問題。
會出現「無效的擴充套件更新」,然後就沒反應了。

較新的「1.7.5」則不會有這個問題。
可以先手動升級(就是覆蓋檔案)到1.7.5,然後再用一鍵升級的功能。
手動升級的檔案在下面的連結可以下載得到:
http://joomlacode.org/gf/project/joomla/frs/?action=FrsReleaseBrowse&frs_package_id=6259

...
附件:
The following user(s) said Thank You: abokuo

Please 登入 to join the conversation.

  • 羽城君拉
  • 羽城君拉 的個人頭像 Topic Author
  • Offline
  • 管理員
  • 管理員
More
2012-03-06 07:59 #21701 來自 羽城君拉
羽城君拉 replied the topic: 回覆: 1.7.0不能直接更新到2.5.x
另一種特殊的情況,是因為使用jUpgrade套件升級了1.5到1.7造成的。(不確定最近是不是修正了這個問題)
就算你升級到1.7.5的最新版,也是不能用擴充套件的升級功能。

這個問題在jUpgrade上有提供解答:
http://redcomponent.com/forum/92-jupgrade/104797-one-click-update-to-171-invalid-extension-update

主要是要把
administrator/components/com_installer/models/update.php
這個檔案用原版的Joomla!檔案覆蓋掉。

更新過程中會出現資料庫錯誤的訊息,事實上更新是可以完成的,最後再用資料庫修復的功能(也是擴充套件的功能,2.5才有),就可以完成升級到2.5的步驟。

...
The following user(s) said Thank You: abokuo

Please 登入 to join the conversation.

More
2012-03-06 17:01 #21702 來自 abokuo
abokuo replied the topic: 回覆: 1.7.0不能直接更新到2.5.x
感謝 Eddy 分享,自己嘗試將運作中的 Joomla! 1.7 網站(先前用 jUpgrade 將網站從 1.5 -> 1.7)
更版成 2.5 的時候有發生本主題所提到的事情...分享兩點心得:
  1. 1.1.7.0 升級到1.7.5 建議透過後台「擴充套件管理」畫面上傳更新檔進行更新,「解壓縮更新檔案上傳覆蓋」這個行之有年的更新方法在某些情況會發生問題。
  2. 2.更新成 2.5 之後後台「控制台」畫面的「捷徑圖示」(mod_quickicon) 模組排列方式會不正常,此時用 Joomla! 安裝檔案中「mod_quickicon」資料夾內容蓋過可以解決。

我的 Joomla! 資訊網站:http://www.abokuo.com
Joomla! 書籍:Joomla! 3.x 素人架站計畫(2015.07)

Please 登入 to join the conversation.

  • 羽城君拉
  • 羽城君拉 的個人頭像 Topic Author
  • Offline
  • 管理員
  • 管理員
More
2012-03-06 19:59 #21705 來自 羽城君拉
羽城君拉 replied the topic: 回覆: 1.7.0不能直接更新到2.5.x

abokuo 寫了道::

  1. 1.1.7.0 升級到1.7.5 建議透過後台「擴充套件管理」畫面上傳更新檔進行更新,「解壓縮更新檔案上傳覆蓋」這個行之有年的更新方法在某些情況會發生問題。
  2. 2.更新成 2.5 之後後台「控制台」畫面的「捷徑圖示」(mod_quickicon) 模組排列方式會不正常,此時用 Joomla! 安裝檔案中「mod_quickicon」資料夾內容蓋過可以解決。


1的部份1.7.0升級1.7.5,資料庫有改,內容在/administrator/components/com_admin/sql/updates/mysql 裡
2的部份,之前有使用擴充套件的「探索」功能,有成功安裝回來過。

...
The following user(s) said Thank You: abokuo

Please 登入 to join the conversation.

More
2013-11-27 15:58 #25599 來自 strrf
strrf replied the topic: 回覆: 1.7.0不能直接更新到2.5.x
你好
我的joomla 版本是1.6.3已經手動升級至1.7.0,現在想要從1.7.0升級到2.5,
有去爬文過,都是建議從"擴充套件管理"的更新去作升級,
但是我選擇更新卻出現下面的錯誤,請問要如何解決?謝謝。

更新: :收藏夾: 不能打開http://www.matware.com.ar/extensions/kunena/kunena.collection.xml
更新: :收藏夾: 不能打開http://www.matware.com.ar/extensions/adminpraise/adminpraise.collection.xml
更新: :擴充套件: 不能打開 http://www.akeebabackup.com/index.php?option=com_ars&view=update&task=stream&id=1&format=xml/extension.xml

Please 登入 to join the conversation.

More
2013-11-27 16:28 #25601 來自 abokuo
abokuo replied the topic: 1.7.0不能直接更新到2.5.x
你網站安裝的擴充套件也要一併升級,把網站安裝的擴充套件項目
跟版本弄清楚之後再回來問,你的網站有什麼只有你自己最清楚。

我的 Joomla! 資訊網站:http://www.abokuo.com
Joomla! 書籍:Joomla! 3.x 素人架站計畫(2015.07)

Please 登入 to join the conversation.

More
2013-11-27 16:54 #25604 來自 strrf
strrf replied the topic: 1.7.0不能直接更新到2.5.x
你好
請問一下擴充套件項目跟版本要在哪邊查得到?謝謝。

Please 登入 to join the conversation.

More
2013-11-27 17:20 #25605 來自 abokuo
abokuo replied the topic: 1.7.0不能直接更新到2.5.x
擴充套件管理,書上面有寫。

我的 Joomla! 資訊網站:http://www.abokuo.com
Joomla! 書籍:Joomla! 3.x 素人架站計畫(2015.07)

Please 登入 to join the conversation.